aboutsummaryrefslogtreecommitdiff
path: root/test/dotnet/install_dotnet_6_jammy.sh
diff options
context:
space:
mode:
authorSamruddhi Khandale <skhandale@microsoft.com>2023-06-30 01:14:11 +0300
committerGitHub <noreply@github.com>2023-06-30 01:14:11 +0300
commit300814be97eaa5b7780886bd2eb37e96b523b3e7 (patch)
tree9db60abc9475d2f379dc53861d7c8a928bd6e34a /test/dotnet/install_dotnet_6_jammy.sh
parent8a51aa906676280364df60010575b7dad3162f37 (diff)
Dotnet: Fix Feature failures on ubuntu:jammy (when installing using apt) (#590)feature_dotnet_1.1.4
* fix several bugs * fix test: .NET is now installed from ubuntu feeds * add comment ; use dev containers image * address comments * revert debugging cmd * fix test for bookworm
Diffstat (limited to 'test/dotnet/install_dotnet_6_jammy.sh')
-rw-r--r--test/dotnet/install_dotnet_6_jammy.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/test/dotnet/install_dotnet_6_jammy.sh b/test/dotnet/install_dotnet_6_jammy.sh
new file mode 100644
index 0000000..fd10634
--- /dev/null
+++ b/test/dotnet/install_dotnet_6_jammy.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "dotnet sdks" dotnet --list-sdks
+check "some major version of dotnet 6 is installed" bash -c "dotnet --list-sdks | grep '6\.[0-9]*\.[0-9]*'"
+check "dotnet version 6 installed" bash -c "ls -l /usr/lib/dotnet/sdk | grep '6\.[0-9]*\.[0-9]*'"
+
+# Verify current symlink exists and works
+check "current link dotnet" /usr/local/dotnet/current/dotnet --info
+check "current link sdk" ls -l /usr/local/dotnet/current/sdk
+
+# Report result
+reportResults